package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import java.lang.String;
import com.kingdee.eas.custom.bill.salary.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class SalaryBagEntry extends HRBillBaseEntry implements ISalaryBagEntry
{
    public SalaryBagEntry()
    {
        super();
        registerInterface(ISalaryBagEntry.class, this);
    }
    public SalaryBagEntry(Context ctx)
    {
        super(ctx);
        registerInterface(ISalaryBagEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("56660636");
    }
    private SalaryBagEntryController getController() throws BOSException
    {
        return (SalaryBagEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SalaryBagEntryInfo getSalaryBagEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryBagEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SalaryBagEntryInfo getSalaryBagEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryBagEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SalaryBagEntryInfo getSalaryBagEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryBagEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SalaryBagEntryCollection getSalaryBagEntryCollection() throws BOSException
    {
        try {
            return getController().getSalaryBagEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SalaryBagEntryCollection getSalaryBagEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSalaryBagEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SalaryBagEntryCollection getSalaryBagEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getSalaryBagEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}